(function($){
    $.fn.select = function (params) {
        var $this = $(this);
        var next = 0;
        var cantQuestion = 0;

        var settings =$.extend({
            multipleOptions: false,
            messageWell:null,
            messageWrong:null,
            messageComplete:null
        },params);

        main.call(this);

        function main()
        {
            cantQuestion = $('.question', $this).length;
            $this.on('click','.item',active);
            $this.on('click','.fn_btncheck',check);
            checkSizeScreen();
            $(window).resize(function() {
                checkSizeScreen();
            });
        }


        function active()
        {
            if(settings.multipleOptions)
            {
                if($(this).hasClass('active'))
                    $(this).removeClass('active');
                else
                    $(this).addClass('active');
            }
            else
            {
                $(this).siblings('.item').removeClass('active');
                $(this).addClass('active');
            }
        }

        function check(){
            if(settings.multipleOptions)
            {
                var couter = 0;
                var cantOptions = $('.item', $this).length;
                $('.item', $this).each(function(i,e){
                    if($(e).hasClass('active') == parseInt($(e).data('value')))
                        couter++;
                });

                if(couter == cantOptions)
                {
                    $('#retro > .content-retro').html($('#' + settings.messageWell).html());
                    $('#retro').fadeIn();
                }
                else
                {
                    $('#retro > .content-retro').html($('#' + settings.messageWrong).html());
                    $('#retro').fadeIn();
                }
            }
            else
            {
                var val = parseInt($('.active', $this).data('value'));
                if (val) {

                    if (next < [cantQuestion - 1]) {
                        $('#retro > .content-retro').html($('#' + settings.messageWell).html());
                        $('#retro').fadeIn();
                    }
                    else {
                        $('#retro > .content-retro').html($('#' + settings.messageWell).html());
                        $('#retro').fadeIn();
                    }
                }
                else {
                    $('#retro > .content-retro').html($('#' + settings.messageWrong).html());
                    $('#retro').fadeIn();
                }
            }
        }

        function checkSizeScreen() {
            if(window.innerWidth < 768)
                openModal('size_screen');
            else{
                $('#modal').removeClass().addClass('zoomOut animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){             $(this).removeClass().hide();         });}
        }
    }
})(jQuery);